<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__cgmsc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_cgmsc_char_t</compoundname>
    <includes local="no">cy_ble_cgms.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__cgmsc__char__t_1a15753bd4f77be83e49ef59287d1ba016" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cgmsc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="87" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="87" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cgmsc__char__t_1a17e51c5487538ebc4861da2b18dce40b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_cgmsc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Server database attribute value entry. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="90" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cgmsc__char__t_1a4db8ec7dcdacf6948613afe190045f02" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_cgmsc_char_t::descrHandle[CY_BLE_CGMS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_CGMS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>Characteristics Descriptors Handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="93" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="93" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cgmsc__char__t_1a2e9b78b10cf73087fc59ae5512619793" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_cgmsc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>Characteristic End Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="96" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CGM Client Characteristic structure type. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="97" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" bodystart="84" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cgms.h" line="85" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__cgmsc__char__t_1a4db8ec7dcdacf6948613afe190045f02" virt="non-virtual"><scope>cy_stc_ble_cgmsc_char_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__cgmsc__char__t_1a2e9b78b10cf73087fc59ae5512619793" virt="non-virtual"><scope>cy_stc_ble_cgmsc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__cgmsc__char__t_1a15753bd4f77be83e49ef59287d1ba016" virt="non-virtual"><scope>cy_stc_ble_cgmsc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__cgmsc__char__t_1a17e51c5487538ebc4861da2b18dce40b" virt="non-virtual"><scope>cy_stc_ble_cgmsc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>